Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.model.entity
Class CardCredential

    java.lang.Object
      org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
          org.eclipse.higgins.ics.gwt.base.client.model.entity.CardCredential

All Implemented Interfaces:
  Serializable

public class CardCredential
extends BaseEntity
implements Serializable

Author:
  Alexander Yuhimenko
See Also:
  Serialized Form

Constructor Summary
`CardCredential()`

Method Summary
`String` | `getAddress()`
`String` | `getDisplayCredentialHint()`
`String` | `getMetadataAddress()`
`String` | `getPassword()`
`String` | `getPinCode()`
`String` | `getPPID()`
`String` | `getType()`
`String` | `getUsername()`
`void` | `setAddress(String address)`
`void` | `setDisplayCredentialHint(String displayCredentialHint)`
`void` | `setMetadataAddress(String metadataAddress)`
`void` | `setPassword(String password)`
`void` | `setPinCode(String pinCode)`
`void` | `setPPID(String ppid)`
`void` | `setType(String type)`
`void` | `setUsername(String username)`

Methods inherited from class org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
`getName, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CardCredential

    public CardCredential()

Method Detail

### getAddress

    public String getAddress()

  Returns:
    the address

### setAddress

    public void setAddress(String address)

  Parameters:
    `address` - the address to set

### getPassword

    public String getPassword()

  Returns:
    the password

### setPassword

    public void setPassword(String password)

  Parameters:
    `password` - the password to set

### getType

    public String getType()

  Returns:
    the type

### setType

    public void setType(String type)

  Parameters:
    `type` - the type to set

### getUsername

    public String getUsername()

  Returns:
    the username

### setUsername

    public void setUsername(String username)

  Parameters:
    `username` - the username to set

### getPPID

    public String getPPID()

  Returns:
    the pPID

### setPPID

    public void setPPID(String ppid)

  Parameters:
    `ppid` - the pPID to set

### getDisplayCredentialHint

    public String getDisplayCredentialHint()

  Returns:
    the displayCredentialHint

### setDisplayCredentialHint

    public void setDisplayCredentialHint(String displayCredentialHint)

  Parameters:
    `displayCredentialHint` - the displayCredentialHint to set

### getMetadataAddress

    public String getMetadataAddress()

  Returns:
    the metadataAddress

### setMetadataAddress

    public void setMetadataAddress(String metadataAddress)

  Parameters:
    `metadataAddress` - the metadataAddress to set

### getPinCode

    public String getPinCode()

  Returns:
    the pinCode

### setPinCode

    public void setPinCode(String pinCode)

  Parameters:
    `pinCode` - the pinCode to set

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD